package com.casic.dcms.model.dept;

import java.util.List;

public class PostCaseModel {

    private int code;
    private DataBean data;
    private String message;
    private boolean success;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataBean {

        private int total;
        private List<RowsBean> rows;

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public List<RowsBean> getRows() {
            return rows;
        }

        public void setRows(List<RowsBean> rows) {
            this.rows = rows;
        }

        public static class RowsBean {

            private int isPostpone;
            private String description;
            private String createUserName;
            private int source;
            private String eorcName;
            private String casetypeDetailName;
            private String remainingTime;
            private String casetypeName;
            private String currUserId;
            private String currUserName;
            private String processId;
            private String currDeptId;
            private int caseState;
            private String id;
            private String reportSupervisorId;
            private String fieldintro;
            private String lat;
            private String caseStateName;
            private String lng;
            private String isOvertime;
            private String currRoleName;
            private String casetypeDetailCode;
            private String onedeptid;
            private String currDeptName;
            private String eorc;
            private String currRoleId;
            private String caseid;
            private String casetypeCode;
            private String createUser;
            private String nodeLimittime;
            private String sourceName;
            private String reportTime;
            private String onedeptName;

            public int getIsPostpone() {
                return isPostpone;
            }

            public void setIsPostpone(int isPostpone) {
                this.isPostpone = isPostpone;
            }

            public String getDescription() {
                return description;
            }

            public void setDescription(String description) {
                this.description = description;
            }

            public String getCreateUserName() {
                return createUserName;
            }

            public void setCreateUserName(String createUserName) {
                this.createUserName = createUserName;
            }

            public int getSource() {
                return source;
            }

            public void setSource(int source) {
                this.source = source;
            }

            public String getEorcName() {
                return eorcName;
            }

            public void setEorcName(String eorcName) {
                this.eorcName = eorcName;
            }

            public String getCasetypeDetailName() {
                return casetypeDetailName;
            }

            public void setCasetypeDetailName(String casetypeDetailName) {
                this.casetypeDetailName = casetypeDetailName;
            }

            public String getRemainingTime() {
                return remainingTime;
            }

            public void setRemainingTime(String remainingTime) {
                this.remainingTime = remainingTime;
            }

            public String getCasetypeName() {
                return casetypeName;
            }

            public void setCasetypeName(String casetypeName) {
                this.casetypeName = casetypeName;
            }

            public String getCurrUserId() {
                return currUserId;
            }

            public void setCurrUserId(String currUserId) {
                this.currUserId = currUserId;
            }

            public String getCurrUserName() {
                return currUserName;
            }

            public void setCurrUserName(String currUserName) {
                this.currUserName = currUserName;
            }

            public String getProcessId() {
                return processId;
            }

            public void setProcessId(String processId) {
                this.processId = processId;
            }

            public String getCurrDeptId() {
                return currDeptId;
            }

            public void setCurrDeptId(String currDeptId) {
                this.currDeptId = currDeptId;
            }

            public int getCaseState() {
                return caseState;
            }

            public void setCaseState(int caseState) {
                this.caseState = caseState;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getReportSupervisorId() {
                return reportSupervisorId;
            }

            public void setReportSupervisorId(String reportSupervisorId) {
                this.reportSupervisorId = reportSupervisorId;
            }

            public String getFieldintro() {
                return fieldintro;
            }

            public void setFieldintro(String fieldintro) {
                this.fieldintro = fieldintro;
            }

            public String getLat() {
                return lat;
            }

            public void setLat(String lat) {
                this.lat = lat;
            }

            public String getCaseStateName() {
                return caseStateName;
            }

            public void setCaseStateName(String caseStateName) {
                this.caseStateName = caseStateName;
            }

            public String getLng() {
                return lng;
            }

            public void setLng(String lng) {
                this.lng = lng;
            }

            public String getIsOvertime() {
                return isOvertime;
            }

            public void setIsOvertime(String isOvertime) {
                this.isOvertime = isOvertime;
            }

            public String getCurrRoleName() {
                return currRoleName;
            }

            public void setCurrRoleName(String currRoleName) {
                this.currRoleName = currRoleName;
            }

            public String getCasetypeDetailCode() {
                return casetypeDetailCode;
            }

            public void setCasetypeDetailCode(String casetypeDetailCode) {
                this.casetypeDetailCode = casetypeDetailCode;
            }

            public String getOnedeptid() {
                return onedeptid;
            }

            public void setOnedeptid(String onedeptid) {
                this.onedeptid = onedeptid;
            }

            public String getCurrDeptName() {
                return currDeptName;
            }

            public void setCurrDeptName(String currDeptName) {
                this.currDeptName = currDeptName;
            }

            public String getEorc() {
                return eorc;
            }

            public void setEorc(String eorc) {
                this.eorc = eorc;
            }

            public String getCurrRoleId() {
                return currRoleId;
            }

            public void setCurrRoleId(String currRoleId) {
                this.currRoleId = currRoleId;
            }

            public String getCaseid() {
                return caseid;
            }

            public void setCaseid(String caseid) {
                this.caseid = caseid;
            }

            public String getCasetypeCode() {
                return casetypeCode;
            }

            public void setCasetypeCode(String casetypeCode) {
                this.casetypeCode = casetypeCode;
            }

            public String getCreateUser() {
                return createUser;
            }

            public void setCreateUser(String createUser) {
                this.createUser = createUser;
            }

            public String getNodeLimittime() {
                return nodeLimittime;
            }

            public void setNodeLimittime(String nodeLimittime) {
                this.nodeLimittime = nodeLimittime;
            }

            public String getSourceName() {
                return sourceName;
            }

            public void setSourceName(String sourceName) {
                this.sourceName = sourceName;
            }

            public String getReportTime() {
                return reportTime;
            }

            public void setReportTime(String reportTime) {
                this.reportTime = reportTime;
            }

            public String getOnedeptName() {
                return onedeptName;
            }

            public void setOnedeptName(String onedeptName) {
                this.onedeptName = onedeptName;
            }
        }
    }
}
